#include <stdio.h>

int pgcd(int m, int n) {
    if (m % n == 0) {
        return n;
    } else {
        return pgcd(n, m % n);
    }
}

// int pgcd(int m, int n) {
//     if (m % n == 0) {
//         return n;
//     } else {
//         return pgcd(n, m % n);
//     }
// }

int main() {
    int m = 42;
    int n = 27;

    printf("Le PGCD de %d et %d est %d\n", m, n, pgcd(m, n));
}
